Package org.eclipse.ecf.provider.filetransfer.httpclient4

# Class NTLMProxyDetector

java.lang.Object
org.eclipse.ecf.provider.filetransfer.httpclient4.NTLMProxyDetector

public class NTLMProxyDetector extends Object

## Constructor Summary

Constructors
Constructor
Description
`NTLMProxyDetector()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`detectNTLMProxy(org.apache.http.protocol.HttpContext context)`
This method will detect if the request connected to a NTLM proxy given the HttpContext provided to one of the HttpClient#execute() methods.
`static boolean`
`detectSPNEGOProxy(org.apache.http.protocol.HttpContext context)`
This method will detect if the request connected to a SPNEGO proxy given the HttpContext provided to one of the HttpClient#execute() methods.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NTLMProxyDetector

public NTLMProxyDetector()

## Method Details

### detectNTLMProxy

public static boolean detectNTLMProxy(org.apache.http.protocol.HttpContext context)
This method will detect if the request connected to a NTLM proxy given the HttpContext provided to one of the HttpClient#execute() methods.

Parameters:
  `context` - the HttpContext given to the HttpClient at execution time
Returns:
  true if it connected to an NTLM proxy
Since:
  5.0

### detectSPNEGOProxy

public static boolean detectSPNEGOProxy(org.apache.http.protocol.HttpContext context)
This method will detect if the request connected to a SPNEGO proxy given the HttpContext provided to one of the HttpClient#execute() methods.

Parameters:
  `context` - the HttpContext given to the HttpClient at execution time
Returns:
  true if it connected to an SPNEGO proxy
Since:
  5.0